Installer - Bug #15642

auth_kerb.conf error when using external authentication and foreman-installer
07/11/2016 08:55 AM - Alexandre Barth

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Foreman modules
Target version: 1.12.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.12.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/462

Description

| use these parameters with foreman-installer : foreman-installer --foreman-ipa-authentication=true
--foreman-pam-service=foreman-prod

The keytab is retrieved and is in /etc/httpd/conf/http.keytab
The pam service is created and is in /etc/pam.d/foreman-prod

But the config file /etc/httpd/conf.d/05-foreman-ssl.d/auth_kerb.conf is not correctly generated :
Krb5KeyTab line has no value
require pam-account has no value

systemctl status httpd :
Syntax error on line 9 of /etc/httpd/conf.d/05-foreman-ssl.d/auth_kerb.conf:
Krb5KeyTab takes one argument, Location of Kerberos V5 keytab file.

Associated revisions

Revision 83784984 - 07/12/2016 04:25 AM - Dominic Cleal

fixes #15642 - interpolate out of scope IPA-related variables

History

#1 - 07/11/2016 08:59 AM - Dominic Cleal
- Project changed from Foreman to Installer
- Category set to Foreman modules

- translation missing: en.field_release set to 161

The templates/auth_kerb.conf.erb template appears to rely on having variables in-scope, but the variables it's accessing are defined in the foreman
class and not foreman::config where it's used. The template also has no test coverage.

#2 - 07/11/2016 10:46 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 07/12/2016 03:52 AM - Alexandre Barth

same problem with the intercept_form_submit.conf file with value for InterceptFormPAMService parameter

#4 - 07/12/2016 04:28 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/462 added

Thanks, | fixed that one too.
#5 - 07/12/2016 09:40 AM - Alexandre Barth

Thank you Dominic, tested and i confirm this is working now.

#6 - 07/13/2016 05:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|837849846c43ca4dcb44f8c61e039c¢543c576968.
